Bug 1448017 - [lvm] --mount does not mount the bootstrap volume
Summary: [lvm] --mount does not mount the bootstrap volume
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 11:37 UTC by Vít Ondruch
Modified: 2017-07-06 05:19 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-25 16:19:27 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2017-05-04 11:37:01 UTC
Description of problem:
`mock --mount` does not mount the bootstrap volume


Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.4.1-1.fc27.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
~~~
$ mock -r fedora-rawhide-x86_64 --mount
INFO: mock.py version 1.4.1 starting (python version = 3.6.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
INFO: LVM plugin enabled. Allocated pool data: 77.99%. Allocated metadata: 42.77%.
WARNING: LVM Thin pool is nearly filled up (77.99%). You may experience weird errors. Consider growing up your thin pool.
Finish: run

$ ls /var/lib/mock/fedora-rawhide-x86_64-bootstrap/root/
~~~

Expected results:
~~~
$ ls /var/lib/mock/fedora-rawhide-x86_64-bootstrap/root/
bin  boot  builddir  dev  etc  home  lib  lib64  lost+found  media  mnt  opt  proc  root  run  sbin  srv  sys  tmp  usr  var
~~~

Additional info:

Comment 1 Miroslav Suchý 2017-05-05 10:28:20 UTC
Fixed in commit:
* e7c79eb (HEAD -> devel, origin/devel) call plugins of bootstrap when it has sense

Comment 2 Fedora Update System 2017-06-19 07:12:21 UTC
mock-1.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-21b345dd60

Comment 3 Fedora Update System 2017-06-19 07:13:22 UTC
mock-1.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d88d9f8b5

Comment 4 Fedora Update System 2017-06-19 07:14:15 UTC
mock-1.4.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-65be829503

Comment 5 Fedora Update System 2017-06-19 14:52:31 UTC
mock-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-65be829503

Comment 6 Fedora Update System 2017-06-19 15:52:04 UTC
mock-1.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-21b345dd60

Comment 7 Fedora Update System 2017-06-19 19:24:17 UTC
mock-1.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d88d9f8b5

Comment 8 Fedora Update System 2017-06-25 16:19:27 UTC
mock-1.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-07-04 01:51:27 UTC
mock-1.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-07-06 05:19:01 UTC
mock-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.